<?php

/**
 * Created by PhpStorm.
 * User: trusakov
 * Date: 06.02.15
 * Time: 19:51
 */
class Dentalex_Orders_Block_Adminhtml_Dashboard extends Mage_Adminhtml_Block_Template
{
    protected $_locale;

    /**
     * Location of the "Enable Chart" config param
     */
    const XML_PATH_ENABLE_CHARTS = 'admin/dashboard/enable_charts';

    public function __construct()
    {
        parent::__construct();
        $this->setTemplate('dashboard/index.phtml');

    }

    protected function _prepareLayout()
    {
        $this->setChild('lastOrders',
            $this->getLayout()->createBlock('adminhtml/dashboard_orders_grid')
        );

        $this->setChild('totals',
            $this->getLayout()->createBlock('adminhtml/dashboard_totals')
        );

        $this->setChild('sales',
            $this->getLayout()->createBlock('adminhtml/dashboard_sales')
        );


        $userId = Mage::getSingleton('admin/session')->getUser()->getId();
        $role = strtolower(Mage::getModel('admin/user')->load($userId)->getRole()->getData('role_name'));

        if ($role === 'administrators') {
            $this->setChild('lastSearches',
                $this->getLayout()->createBlock('adminhtml/dashboard_searches_last')
            );

            $this->setChild('topSearches',
                $this->getLayout()->createBlock('adminhtml/dashboard_searches_top')
            );

            $this->setChild('grids',
                $this->getLayout()->createBlock('adminhtml/dashboard_grids')
            );
        }

        if (Mage::getStoreConfig(self::XML_PATH_ENABLE_CHARTS)) {
            $block = $this->getLayout()->createBlock('adminhtml/dashboard_diagrams');
        } else {
            $block = $this->getLayout()->createBlock('adminhtml/template')
                ->setTemplate('dashboard/graph/disabled.phtml')
                ->setConfigUrl($this->getUrl('adminhtml/system_config/edit', array('section' => 'admin')));
        }
        $this->setChild('diagrams', $block);

        parent::_prepareLayout();
    }

    public function getSwitchUrl()
    {
        if ($url = $this->getData('switch_url')) {
            return $url;
        }
        return $this->getUrl('*/*/*', array('_current' => true, 'period' => null));
    }
}
