<?php
/**
 * Created by PhpStorm.
 * User: trusakov
 * Date: 24.02.15
 * Time: 10:26
 */
class Dentalex_Orders_Block_Sales_Order_Recent extends Mage_Core_Block_Template
{

    public function __construct()
    {
        parent::__construct();

        //TODO: add full name logic
        /** @var Mage_Sales_Model_Resource_Order_Collection $orders */
        $orders = Mage::getResourceModel('sales/order_collection')
            ->addFieldToSelect('*')
            ->addFieldToFilter('customer_id', Mage::getSingleton('customer/session')->getCustomer()->getId())
            ->addFieldToFilter('state', array('in' => Mage::getSingleton('sales/order_config')->getVisibleOnFrontStates()))
            ->join('dentalex_orders/organizator_orders','order_id = entity_id', 'organizator_id')
            ->addAttributeToFilter('organizator_id', array('eq' => 0))
            ->setOrder('created_at', 'desc')
            ->setPageSize('5')
        ;
        $orders->getSelect()
            ->join(array('item'=>'sales_flat_order_item'),'main_table.entity_id=item.order_id','sum(item.credits) as csum')
            ->group('main_table.entity_id');

        $this->setOrders($orders);
    }

    public function getViewUrl($order)
    {
        return $this->getUrl('sales/order/view', array('order_id' => $order->getId()));
    }

    public function getTrackUrl($order)
    {
        return $this->getUrl('sales/order/track', array('order_id' => $order->getId()));
    }

    protected function _toHtml()
    {
        if ($this->getOrders()->getSize() > 0) {
            return parent::_toHtml();
        }
        return '';
    }

    public function getReorderUrl($order)
    {
        return $this->getUrl('sales/order/reorder', array('order_id' => $order->getId()));
    }
}