<?php

class Dentalex_Orders_Model_Checkout_Type_Onepage extends Mage_Checkout_Model_Type_Onepage
{
    public function saveOrder()
    {

        /** @var Mage_Sales_Model_Quote $quote */
        $quote = $this->getQuote();

        $data = Mage::app()->getRequest()->getPost('payment', array());
        if ($data) {
            $data['checks'] = Mage_Payment_Model_Method_Abstract::CHECK_USE_CHECKOUT
                | Mage_Payment_Model_Method_Abstract::CHECK_USE_FOR_COUNTRY
                | Mage_Payment_Model_Method_Abstract::CHECK_USE_FOR_CURRENCY
                | Mage_Payment_Model_Method_Abstract::CHECK_ORDER_TOTAL_MIN_MAX
                | Mage_Payment_Model_Method_Abstract::CHECK_ZERO_TOTAL;
        }

        $sortedItems = array();
        foreach ($quote->getAllItems() as $item) {

            /** @var Softjourn_Course_Model_Product $product */
            $product = $item->getProduct();
            $vendor = $product->getResource()
                ->getAttributeRawValue($product->getId(),'created_by',$quote->getStoreId());

            $vendor = $vendor ? $vendor:1; //
            $sortedItems[$vendor][] = clone $item;
        }

        $quote->setTotalsCollectedFlag(false)->collectTotals();
        $quote->setData('main',true);
        $quote->getPayment()->importData($data);

        parent::saveOrder();

        $quote->setData('main',false);
        $quote->removePayment();

        foreach ($sortedItems as $vendor => $items) {
            // Empty quote
            $quote->removeAllItems();
            $quote->getBillingAddress()->useCache = false;

            foreach($items as $item){

                $product = $item->getProduct();
                $productQty = $product->getStockItem()->getQty();
                $product->getStockItem()->setQty($productQty-$item->getQty())->save();

                $quote->addItem($item);
            }
            // Update totals for vendor
            $quote->setTotalsCollectedFlag(false)->collectTotals();
//            $quote->getBillingAddress()->useCache = true;

            // Delegate to parent method to place an order for each vendor
            $quote->getPayment()->importData(array('method' => 'checkmo'));
            $service = Mage::getModel('sales/service_quote', $quote);
            $service->submitAll();
        }

        return $this;
    }
}