<?php
/**
 * Created by PhpStorm.
 * User: trusakov
 * Date: 05.02.15
 * Time: 18:23
 */
require_once "Mage/Adminhtml/controllers/Sales/OrderController.php";
class Dentalex_Orders_Adminhtml_Sales_OrderController extends Mage_Adminhtml_Sales_OrderController
{
    protected function _initOrder()
    {
        $id = $this->getRequest()->getParam('order_id');
        $order = Mage::getModel('sales/order')->load($id);

        if (!$order->getId()) {
            $this->_getSession()->addError($this->__('This order no longer exists.'));
            $this->_redirect('*/*/');
            $this->setFlag('', self::FLAG_NO_DISPATCH, true);
            return false;
        }

        $userId = Mage::getSingleton('admin/session')->getUser()->getId();
        $role = strtolower(Mage::getModel('admin/user')->load($userId)->getRole()->getData('role_name'));

        if($role !== 'administrators'){

            /** @var Dentalex_Orders_Model_Resource_Organizator_Orders_Collection $organizatorOrderRelationCollection */
            $organizatorOrderRelationCollection = Mage::getModel('dentalex_orders/organizator_orders')->getCollection();
            $organizatorOrderRelationCollection->addFilter('organizator_id', $userId)
                ->addFilter('order_id', $order->getId(),'and');

            if(!$organizatorOrderRelationCollection->count()){
                $this->_getSession()->addError($this->__('You have not enough permissions to use this functionality.'));
                $this->_redirect('*/*/');
                return false;
            }
        }

        Mage::register('sales_order', $order);
        Mage::register('current_order', $order);
        return $order;
    }
}