<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Adminhtml speaker attribute edit page tabs
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Block_Adminhtml_Speaker_Attribute_Edit_Tabs
    extends Mage_Adminhtml_Block_Widget_Tabs {
    /**
     * constructor
     * @access public
     * @author Ultimate Module Creator
     */
    public function __construct() {
        parent::__construct();
        $this->setId('speaker_attribute_tabs');
        $this->setDestElementId('edit_form');
        $this->setTitle(Mage::helper('dentalex_speakers')->__('Attribute Information'));
    }
    /**
     * add attribute tabs
     * @access protected
     * @return Dentalex_Speakers_Adminhtml_Speaker_Attribute_Edit_Tabs
     * @author Ultimate Module Creator
     */
    protected function _beforeToHtml() {
        $this->addTab('main', array(
            'label'     => Mage::helper('dentalex_speakers')->__('Properties'),
            'title'     => Mage::helper('dentalex_speakers')->__('Properties'),
            'content'   => $this->getLayout()->createBlock('dentalex_speakers/adminhtml_speaker_attribute_edit_tab_main')->toHtml(),
            'active'    => true
        ));
        $this->addTab('labels', array(
            'label'     => Mage::helper('dentalex_speakers')->__('Manage Label / Options'),
            'title'     => Mage::helper('dentalex_speakers')->__('Manage Label / Options'),
            'content'   => $this->getLayout()->createBlock('dentalex_speakers/adminhtml_speaker_attribute_edit_tab_options')->toHtml(),
        ));
        return parent::_beforeToHtml();
    }
}
