<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Speaker comment admin edit tabs
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Block_Adminhtml_Speaker_Comment_Edit_Tabs
    extends Mage_Adminhtml_Block_Widget_Tabs {
    /**
     * Initialize Tabs
     * @access public
     * @author Ultimate Module Creator
     */
    public function __construct() {
        parent::__construct();
        $this->setId('speaker_comment_tabs');
        $this->setDestElementId('edit_form');
        $this->setTitle(Mage::helper('dentalex_speakers')->__('Speaker Comment'));
    }
    /**
     * before render html
     * @access protected
     * @return Dentalex_Speakers_Block_Adminhtml_Speaker_Edit_Tabs
     * @author Ultimate Module Creator
     */
    protected function _beforeToHtml(){
        $this->addTab('form_speaker_comment', array(
            'label'        => Mage::helper('dentalex_speakers')->__('Speaker comment'),
            'title'        => Mage::helper('dentalex_speakers')->__('Speaker comment'),
            'content'     => $this->getLayout()->createBlock('dentalex_speakers/adminhtml_speaker_comment_edit_tab_form')->toHtml(),
        ));
        if (!Mage::app()->isSingleStoreMode()){
            $this->addTab('form_store_speaker_comment', array(
                'label'        => Mage::helper('dentalex_speakers')->__('Store views'),
                'title'        => Mage::helper('dentalex_speakers')->__('Store views'),
                'content'     => $this->getLayout()->createBlock('dentalex_speakers/adminhtml_speaker_comment_edit_tab_stores')->toHtml(),
            ));
        }
        return parent::_beforeToHtml();
    }
    /**
     * Retrieve speaker entity
     * @access public
     * @return Dentalex_Speakers_Model_Speaker_Comment
     * @author Ultimate Module Creator
     */
    public function getComment(){
        return Mage::registry('current_comment');
    }
}
