<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Speaker admin edit form
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Block_Adminhtml_Speaker_Edit
    extends Mage_Adminhtml_Block_Widget_Form_Container {
    /**
     * constructor
     * @access public
     * @return void
     * @author Ultimate Module Creator
     */
    public function __construct(){
        parent::__construct();
        $this->_blockGroup = 'dentalex_speakers';
        $this->_controller = 'adminhtml_speaker';
        $this->_updateButton('save', 'label', Mage::helper('dentalex_speakers')->__('Save Speaker'));
        $this->_updateButton('delete', 'label', Mage::helper('dentalex_speakers')->__('Delete Speaker'));
        $this->_addButton('saveandcontinue', array(
            'label'        => Mage::helper('dentalex_speakers')->__('Save And Continue Edit'),
            'onclick'    => 'saveAndContinueEdit()',
            'class'        => 'save',
        ), -100);
        $this->_formScripts[] = "
            function saveAndContinueEdit(){
                editForm.submit($('edit_form').action+'back/edit/');
            }
        ";
    }
    /**
     * get the edit form header
     * @access public
     * @return string
     * @author Ultimate Module Creator
     */
    public function getHeaderText(){
        if( Mage::registry('current_speaker') && Mage::registry('current_speaker')->getId() ) {
            return Mage::helper('dentalex_speakers')->__("Edit Speaker '%s'", $this->escapeHtml(Mage::registry('current_speaker')->getFullname()));
        }
        else {
            return Mage::helper('dentalex_speakers')->__('Add Speaker');
        }
    }
}
