<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Speaker admin edit tabs
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Block_Adminhtml_Speaker_Edit_Tabs
    extends Mage_Adminhtml_Block_Widget_Tabs {
    /**
     * Initialize Tabs
     * @access public
     * @author Ultimate Module Creator
     */
    public function __construct() {
        parent::__construct();
        $this->setId('speaker_info_tabs');
        $this->setDestElementId('edit_form');
        $this->setTitle(Mage::helper('dentalex_speakers')->__('Speaker Information'));
    }
    /**
     * prepare the layout
     * @access protected
     * @return Dentalex_Speakers_Block_Adminhtml_Speaker_Edit_Tabs
     * @author Ultimate Module Creator
     */
    protected function _prepareLayout(){
        $speaker = $this->getSpeaker();
        $entity = Mage::getModel('eav/entity_type')->load('dentalex_speakers_speaker', 'entity_type_code');
        $attributes = Mage::getResourceModel('eav/entity_attribute_collection')
                ->setEntityTypeFilter($entity->getEntityTypeId());
        $attributes->getSelect()->order('additional_table.position', 'ASC');

        $this->addTab('info', array(
            'label'     => Mage::helper('dentalex_speakers')->__('Speaker Information'),
            'content'   => $this->getLayout()->createBlock('dentalex_speakers/adminhtml_speaker_edit_tab_attributes')
                            ->setAttributes($attributes)
                            ->toHtml(),
        ));
        $this->addTab('products', array(
            'label' => Mage::helper('dentalex_speakers')->__('Associated courses'),
            'url'   => $this->getUrl('*/*/products', array('_current' => true)),
            'class'    => 'ajax'
        ));
        return parent::_beforeToHtml();
    }
    /**
     * Retrieve speaker entity
     * @access public
     * @return Dentalex_Speakers_Model_Speaker
     * @author Ultimate Module Creator
     */
    public function getSpeaker(){
        return Mage::registry('current_speaker');
    }
}
