<?php
/**
 * Created by PhpStorm.
 * User: trusakov
 * Date: 24.02.15
 * Time: 19:48
 */
class Dentalex_Speakers_Block_Adminhtml_User_Edit_Tab_Main extends Mage_Adminhtml_Block_Widget_Form
{

    protected function _prepareForm()
    {
        $model = Mage::registry('permissions_user');

        $form = new Varien_Data_Form();

        $form->setHtmlIdPrefix('user_');

        $fieldset = $form->addFieldset('base_fieldset', array('legend'=>Mage::helper('adminhtml')->__('Account Information')));

        if ($model->getUserId()) {
            $fieldset->addField('user_id', 'hidden', array(
                'name' => 'user_id',
            ));
        } else {
            if (! $model->hasData('is_active')) {
                $model->setIsActive(1);
            }
        }

        $fieldset->addField('username', 'text', array(
            'name'  => 'username',
            'label' => Mage::helper('adminhtml')->__('User Name'),
            'id'    => 'username',
            'title' => Mage::helper('adminhtml')->__('User Name'),
            'required' => true,
        ));

        $fieldset->addField('firstname', 'text', array(
            'name'  => 'firstname',
            'label' => Mage::helper('adminhtml')->__('First Name'),
            'id'    => 'firstname',
            'title' => Mage::helper('adminhtml')->__('First Name'),
            'required' => true,
        ));

        $fieldset->addField('lastname', 'text', array(
            'name'  => 'lastname',
            'label' => Mage::helper('adminhtml')->__('Last Name'),
            'id'    => 'lastname',
            'title' => Mage::helper('adminhtml')->__('Last Name'),
            'required' => true,
        ));

        $fieldset->addField('display_name', 'text', array(
            'name'  => 'display_name',
            'label' => Mage::helper('adminhtml')->__('Display Name'),
            'id'    => 'display_name',
            'title' => Mage::helper('adminhtml')->__('Display Name'),
            'required' => true,
        ));

        $fieldset->addField('site_url', 'text', array(
            'name'  => 'site_url',
            'label' => Mage::helper('adminhtml')->__('Site Url'),
            'id'    => 'site_url',
            'title' => Mage::helper('adminhtml')->__('Site Url'),
            'class' => 'validate-url',
        ));

        $fieldset->addField('address', 'textarea', array(
            'name'  => 'address',
            'label' => Mage::helper('adminhtml')->__('Address'),
            'id'    => 'address',
            'title' => Mage::helper('adminhtml')->__('Address'),
            'required' => true,
        ));

        $fieldset->addField('vat_number', 'text', array(
            'name'  => 'vat_number',
            'label' => Mage::helper('adminhtml')->__('Vat number'),
            'id'    => 'vat_number',
            'title' => Mage::helper('adminhtml')->__('Vat number'),
            'required' => true,
        ));

        $fieldset->addField('telephone', 'text', array(
            'name'  => 'telephone',
            'label' => Mage::helper('adminhtml')->__('Telephone'),
            'id'    => 'telephone',
            'title' => Mage::helper('adminhtml')->__('Telephone'),
            'required' => true,
        ));

        $fieldset->addField('fax', 'text', array(
            'name'  => 'fax',
            'label' => Mage::helper('adminhtml')->__('Fax'),
            'id'    => 'fax',
            'title' => Mage::helper('adminhtml')->__('Fax'),
            'required' => true,
        ));

        $fieldset->addField('email', 'text', array(
            'name'  => 'email',
            'label' => Mage::helper('adminhtml')->__('Email'),
            'id'    => 'customer_email',
            'title' => Mage::helper('adminhtml')->__('User Email'),
            'class' => 'required-entry validate-email',
            'required' => true,
        ));

        if ($model->getUserId()) {
            $fieldset->addField('password', 'password', array(
                'name'  => 'new_password',
                'label' => Mage::helper('adminhtml')->__('New Password'),
                'id'    => 'new_pass',
                'title' => Mage::helper('adminhtml')->__('New Password'),
                'class' => 'input-text validate-admin-password',
            ));

            $fieldset->addField('confirmation', 'password', array(
                'name'  => 'password_confirmation',
                'label' => Mage::helper('adminhtml')->__('Password Confirmation'),
                'id'    => 'confirmation',
                'class' => 'input-text validate-cpassword',
            ));
        }
        else {
            $fieldset->addField('password', 'password', array(
                'name'  => 'password',
                'label' => Mage::helper('adminhtml')->__('Password'),
                'id'    => 'customer_pass',
                'title' => Mage::helper('adminhtml')->__('Password'),
                'class' => 'input-text required-entry validate-admin-password',
                'required' => true,
            ));
            $fieldset->addField('confirmation', 'password', array(
                'name'  => 'password_confirmation',
                'label' => Mage::helper('adminhtml')->__('Password Confirmation'),
                'id'    => 'confirmation',
                'title' => Mage::helper('adminhtml')->__('Password Confirmation'),
                'class' => 'input-text required-entry validate-cpassword',
                'required' => true,
            ));
        }

        if (Mage::getSingleton('admin/session')->getUser()->getId() != $model->getUserId()) {
            $fieldset->addField('is_active', 'select', array(
                'name'  	=> 'is_active',
                'label' 	=> Mage::helper('adminhtml')->__('This account is'),
                'id'    	=> 'is_active',
                'title' 	=> Mage::helper('adminhtml')->__('Account Status'),
                'class' 	=> 'input-select',
                'style'		=> 'width: 80px',
                'options'	=> array('1' => Mage::helper('adminhtml')->__('Active'), '0' => Mage::helper('adminhtml')->__('Inactive')),
            ));
        }

        $fieldset->addField('user_roles', 'hidden', array(
            'name' => 'user_roles',
            'id'   => '_user_roles',
        ));

        $data = $model->getData();

        unset($data['password']);

        $form->setValues($data);

        $this->setForm($form);

        return parent::_prepareForm();
    }
}
