<?php
/**
 * Dentalex_Speakers extension
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 *
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Speaker list on product page block
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Block_Catalog_Category_List_Speakers
    extends Mage_Catalog_Block_Product_Abstract {
    /**
     * get the list of speakers
     * @access protected
     * @return Dentalex_Speakers_Model_Resource_Speaker_Collection
     * @author Ultimate Module Creator
     */
    private $_product = NULL;

    public function setProduct($product)
    {
        $this->_product = $product;
    }

    public function getProduct()
    {
        return $this->_product;
    }


    public function getSpeakers()
    {
        if (!$this->getProduct()){
            return false;
        }
        /** @var Dentalex_Speakers_Model_Resource_Speaker_Collection $collection */
        $collection = Mage::getResourceModel('dentalex_speakers/speaker_collection')
            ->addAttributeToSelect('*')
            ->addProductFilter($this->getProduct())
            ->addAttributeToFilter('status','1');
        return $collection->getItems();
    }
}
