<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Speaker list on product page block
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Block_Catalog_Product_List_Speaker
    extends Mage_Catalog_Block_Product_Abstract {
    /**
     * get the list of speakers
     * @access protected
     * @return Dentalex_Speakers_Model_Resource_Speaker_Collection
     * @author Ultimate Module Creator
     */
    public function getSpeakerCollection(){
        if (!$this->hasData('speaker_collection')){
            $product = Mage::registry('product');
            $collection = Mage::getResourceSingleton('dentalex_speakers/speaker_collection')
                ->setStoreId(Mage::app()->getStore()->getId())
                ->addAttributeToSelect('*')
                ->addAttributeToFilter('status', 1)
                ->addProductFilter($product);
            $collection->getSelect()->order('related_product.position', 'ASC');
            $this->setData('speaker_collection', $collection);
        }
        return $this->getData('speaker_collection');
    }
}
