<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Speaker product list
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Block_Speaker_Catalog_Product_List extends Mage_Core_Block_Template {
    /**
     * get the list of products
     * @access public
     * @return Mage_Catalog_Model_Resource_Product_Collection
     * @author Ultimate Module Creator
     */
    public function getProductCollection() {
        $collection = $this->getSpeaker()->getSelectedProductsCollection();
        $collection->addAttributeToSelect('*')
            ->addAttributeToSelect('small_image')
            ->addAttributeToSelect('special_price')
            ->addAttributeToSelect('price')
            ->setPageSize(3);
        $collection->addUrlRewrite();
        $collection->getSelect()->order('related.position');
        Mage::getSingleton('catalog/product_status')->addVisibleFilterToCollection($collection);
        Mage::getSingleton('catalog/product_visibility')->addVisibleInCatalogFilterToCollection($collection);
        return $collection;
    }
    /**
     * get current speaker
     * @access public
     * @return Dentalex_Speakers_Model_Speaker
     * @author Ultimate Module Creator
     */
    public function getSpeaker() {
        return Mage::registry('current_speaker');
    }
}