<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Speaker list block
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author Ultimate Module Creator
 */
class Dentalex_Speakers_Block_Speaker_List
    extends Mage_Core_Block_Template {
    /**
     * initialize
     * @access public
     * @author Ultimate Module Creator
     */
     public function __construct(){
        parent::__construct();
         $speakers = Mage::getResourceModel('dentalex_speakers/speaker_collection')
                         ->setStoreId(Mage::app()->getStore()->getId())
                         ->addAttributeToSelect('*')
                         ->addAttributeToFilter('status', 1);
        $speakers->setOrder('fullname', 'asc');
        $this->setSpeakers($speakers);
    }
    /**
     * prepare the layout
     * @access protected
     * @return Dentalex_Speakers_Block_Speaker_List
     * @author Ultimate Module Creator
     */
    protected function _prepareLayout(){
        parent::_prepareLayout();
        $pager = $this->getLayout()->createBlock('page/html_pager', 'dentalex_speakers.speaker.html.pager')
            ->setCollection($this->getSpeakers());
        $this->setChild('pager', $pager);
        $this->getSpeakers()->load();
        return $this;
    }
    /**
     * get the pager html
     * @access public
     * @return string
     * @author Ultimate Module Creator
     */
    public function getPagerHtml(){
        return $this->getChildHtml('pager');
    }
}
