<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Speaker widget block
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Block_Speaker_Widget_View
    extends Mage_Core_Block_Template
    implements Mage_Widget_Block_Interface {
    protected $_htmlTemplate = 'dentalex_speakers/speaker/widget/view.phtml';
    /**
     * Prepare a for widget
     * @access protected
     * @return Dentalex_Speakers_Block_Speaker_Widget_View
     * @author Ultimate Module Creator
     */
    protected function _beforeToHtml() {
        parent::_beforeToHtml();
        $speakerId = $this->getData('speaker_id');
        if ($speakerId) {
            $speaker = Mage::getModel('dentalex_speakers/speaker')
                ->setStoreId(Mage::app()->getStore()->getId())
                ->load($speakerId);
            if ($speaker->getStatus()) {
                $this->setCurrentSpeaker($speaker);
                $this->setTemplate($this->_htmlTemplate);
            }
        }
        return $this;
    }
}
