<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Product helper
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Helper_Product
    extends Dentalex_Speakers_Helper_Data {
    /**
     * get the selected speakers for a product
     * @access public
     * @param Mage_Catalog_Model_Product $product
     * @return array()
     * @author Ultimate Module Creator
     */
    public function getSelectedSpeakers(Mage_Catalog_Model_Product $product){
        if (!$product->hasSelectedSpeakers()) {
            $speakers = array();
            foreach ($this->getSelectedSpeakersCollection($product) as $speaker) {
                $speakers[] = $speaker;
            }
            $product->setSelectedSpeakers($speakers);
        }
        return $product->getData('selected_speakers');
    }
    /**
     * get speaker collection for a product
     * @access public
     * @param Mage_Catalog_Model_Product $product
     * @return Dentalex_Speakers_Model_Resource_Speaker_Collection
     * @author Ultimate Module Creator
     */
    public function getSelectedSpeakersCollection(Mage_Catalog_Model_Product $product){
        $collection = Mage::getResourceSingleton('dentalex_speakers/speaker_collection')
            ->addProductFilter($product);
        return $collection;
    }
}
