<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Admin search model
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Model_Adminhtml_Search_Speaker
    extends Varien_Object {
    /**
     * Load search results
     * @access public
     * @return Dentalex_Speakers_Model_Adminhtml_Search_Speaker
     * @author Ultimate Module Creator
     */
    public function load(){
        $arr = array();
        if (!$this->hasStart() || !$this->hasLimit() || !$this->hasQuery()) {
            $this->setResults($arr);
            return $this;
        }
        $collection = Mage::getResourceModel('dentalex_speakers/speaker_collection')
            ->addAttributeToFilter('fullname', array('like' => $this->getQuery().'%'))
            ->setCurPage($this->getStart())
            ->setPageSize($this->getLimit())
            ->load();
        foreach ($collection->getItems() as $speaker) {
            $arr[] = array(
                'id'=> 'speaker/1/'.$speaker->getId(),
                'type'  => Mage::helper('dentalex_speakers')->__('Speaker'),
                'name'  => $speaker->getFullname(),
                'description'   => $speaker->getFullname(),
                'url' => Mage::helper('adminhtml')->getUrl('*/speakers_speaker/edit', array('id'=>$speaker->getId())),
            );
        }
        $this->setResults($arr);
        return $this;
    }
}
