<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Speaker attribute collection model
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Model_Resource_Speaker_Attribute_Collection
    extends Mage_Eav_Model_Resource_Entity_Attribute_Collection {
	/**
	 * init attribute select
	 * @access protected
	 * @return Dentalex_Speakers_Model_Resource_Speaker_Attribute_Collection
	 * @author Ultimate Module Creator
	 */
	protected function _initSelect() {
        $this->getSelect()->from(array('main_table' => $this->getResource()->getMainTable()))
            ->where('main_table.entity_type_id=?', Mage::getModel('eav/entity')->setType('dentalex_speakers_speaker')->getTypeId())
            ->join(
                array('additional_table' => $this->getTable('dentalex_speakers/eav_attribute')),
                'additional_table.attribute_id=main_table.attribute_id'
            );
        return $this;
    }
    /**
     * set entity type filter
     * @access public
     * @param string $typeId
     * @return Dentalex_Speakers_Model_Resource_Speaker_Attribute_Collection
     * @author Ultimate Module Creator
     */
 	public function setEntityTypeFilter($typeId) {
        return $this;
    }
	/**
     * Specify filter by "is_visible" field
     * @access public
     * @return Dentalex_Speakers_Model_Resource_Speaker_Attribute_Collection
     * @author Ultimate Module Creator
     */
    public function addVisibleFilter() {
        return $this->addFieldToFilter('additional_table.is_visible', 1);
    }
	/**
     * Specify filter by "is_editable" field
     * @access public
     * @return Dentalex_Speakers_Model_Resource_Speaker_Attribute_Collection
     * @author Ultimate Module Creator
     */
    public function addEditableFilter() {
        return $this->addFieldToFilter('additional_table.is_editable', 1);
    }
}
