<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Speaker - product relation resource model collection
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Model_Resource_Speaker_Product_Collection
    extends Mage_Catalog_Model_Resource_Product_Collection {

    /**
     * remember if fields have been joined
     * @var bool
     */
    protected $_joinedFields = false;
    /**
     * join the link table
     * @access public
     * @return Dentalex_Speakers_Model_Resource_Speaker_Product_Collection
     * @author Ultimate Module Creator
     */
    public function joinFields(){
        if (!$this->_joinedFields){
            $this->getSelect()->join(
                array('related' => $this->getTable('dentalex_speakers/speaker_product')),
                'related.product_id = e.entity_id',
                array('position')
            );
            $this->_joinedFields = true;
        }
        return $this;
    }
    /**
     * add speaker filter
     * @access public
     * @param Dentalex_Speakers_Model_Speaker | int $speaker
     * @return Dentalex_Speakers_Model_Resource_Speaker_Product_Collection
     * @author Ultimate Module Creator
     */
    public function addSpeakerFilter($speaker){
        if ($speaker instanceof Dentalex_Speakers_Model_Speaker){
            $speaker = $speaker->getId();
        }
        if (!$this->_joinedFields){
            $this->joinFields();
        }
        $this->getSelect()->where('related.speaker_id = ?', $speaker);
        return $this;
    }

    public function getSize()
    {
        if (is_null($this->_totalRecords)) {
            $sql = $this->getSelectCountSql();
            $this->_totalRecords = count($this->getConnection()->fetchAll($sql, $this->_bindParams));
        }
        return intval($this->_totalRecords);
    }
}
