<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Speaker product model
 *
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
class Dentalex_Speakers_Model_Speaker_Product
    extends Mage_Core_Model_Abstract {
    /**
     * Initialize resource
     * @access protected
     * @return void
     * @author Ultimate Module Creator
     */
    protected function _construct(){
        $this->_init('dentalex_speakers/speaker_product');
    }
    /**
     * Save data for speaker-product relation
     * @access public
     * @param  Dentalex_Speakers_Model_Speaker $speaker
     * @return Dentalex_Speakers_Model_Speaker_Product
     * @author Ultimate Module Creator
     */
    public function saveSpeakerRelation($speaker){
        $data = $speaker->getProductsData();
        if (!is_null($data)) {
            $this->_getResource()->saveSpeakerRelation($speaker, $data);
        }
        return $this;
    }
    /**
     * get products for speaker
     * @access public
     * @param Dentalex_Speakers_Model_Speaker $speaker
     * @return Dentalex_Speakers_Model_Resource_Speaker_Product_Collection
     * @author Ultimate Module Creator
     */
    public function getProductCollection($speaker){
        $collection = Mage::getResourceModel('dentalex_speakers/speaker_product_collection')
            ->addSpeakerFilter($speaker);
        return $collection;
    }
}
