<?php
/**
 * Dentalex_Speakers extension
 * 
 * NOTICE OF LICENSE
 * 
 * This source file is subject to the MIT License
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/mit-license.php
 * 
 * @category       Dentalex
 * @package        Dentalex_Speakers
 * @copyright      Copyright (c) 2014
 * @license        http://opensource.org/licenses/mit-license.php MIT License
 */
/**
 * Speaker - product controller
 * @category    Dentalex
 * @package     Dentalex_Speakers
 * @author      Ultimate Module Creator
 */
require_once ("Mage/Adminhtml/controllers/Catalog/ProductController.php");
class Dentalex_Speakers_Adminhtml_Speakers_Speaker_Catalog_ProductController
    extends Mage_Adminhtml_Catalog_ProductController {
    /**
     * construct
     * @access protected
     * @return void
     * @author Ultimate Module Creator
     */
    protected function _construct(){
        // Define module dependent translate
        $this->setUsedModuleName('Dentalex_Speakers');
    }
    /**
     * speakers in the catalog page
     * @access public
     * @return void
     * @author Ultimate Module Creator
     */
    public function speakersAction(){
        $this->_initProduct();
        $this->loadLayout();
        $this->getLayout()->getBlock('product.edit.tab.speaker')
            ->setProductSpeakers($this->getRequest()->getPost('product_speakers', null));
        $this->renderLayout();
    }
    /**
     * speakers grid in the catalog page
     * @access public
     * @return void
     * @author Ultimate Module Creator
     */
    public function speakersGridAction(){
        $this->_initProduct();
        $this->loadLayout();
        $this->getLayout()->getBlock('product.edit.tab.speaker')
            ->setProductSpeakers($this->getRequest()->getPost('product_speakers', null));
        $this->renderLayout();
    }
}
