<?php
class Dentalex_Users_Block_Customer_Form_Edit extends Mage_Customer_Block_Form_Edit
{
    protected function _prepareLayout(){
        parent::_prepareLayout();

        if($this->getCustomer()->is_lector){
            $pager = $this->getLayout()->createBlock('page/html_pager', 'dentalex_users.html.pager')
                ->setCollection($this->getCourses());

            $this->setChild('pager', $pager);
            $this->getCourses()->load();
        }
        return $this;
    }

    public function __construct(){
        parent::__construct();
        if($this->getCustomer()->is_lector){

            /** @var Dentalex_Speakers_Model_Speaker $speaker */
            $speaker = Mage::getModel('dentalex_speakers/speaker')
                ->getResourceCollection()
                ->addAttributeToSelect('*')
                ->addAttributeToFilter('customer_id', array('eq' => $this->getCustomer()->getId()))
                ->getFirstItem();
            /** @var Dentalex_Speakers_Model_Resource_Speaker_Product_Collection $collection */
            $collection = $speaker->getSelectedProductsCollection()
                ->addAttributeToSelect(array('*'))
                ->addAttributeToSelect(array('name','short_description'));

            $this->setCourses($collection);
        }
    }
    /**
     * get the pager html
     * @access public
     * @return string
     * @author Ultimate Module Creator
     */
    public function getPagerHtml(){
        return $this->getChildHtml('pager');
    }

    public function getCurrentSpeaker()
    {
        return Mage::registry('current_speaker');
    }
}
			