<?php
class Dentalex_Users_Model_Customer_Customer extends Mage_Customer_Model_Customer
{

    const XML_PATH_SPEAKER_CREATE_EMAIL_CREATE = 'dentalex_speakers/speaker/email_create';


    /**
     * Send email with new account related information
     *
     * @param string $type
     * @param string $backUrl
     * @param string $storeId
     * @throws Mage_Core_Exception
     * @return Mage_Customer_Model_Customer
     */
    public function sendNewAccountEmail($type = 'registered', $backUrl = '', $storeId = '0')
    {
        $types = array(
            'registered'   => self::XML_PATH_REGISTER_EMAIL_TEMPLATE, // welcome email, when confirmation is disabled
            'confirmed'    => self::XML_PATH_CONFIRMED_EMAIL_TEMPLATE, // welcome email, when confirmation is enabled
            'confirmation' => self::XML_PATH_CONFIRM_EMAIL_TEMPLATE, // email with confirmation link
            'speaker'      => self::XML_PATH_SPEAKER_CREATE_EMAIL_CREATE,
        );
        if (!isset($types[$type])) {
            Mage::throwException(Mage::helper('customer')->__('Wrong transactional account email type'));
        }

        if (!$storeId) {
            $storeId = $this->_getWebsiteStoreId($this->getSendemailStoreId());
        }

        $this->_sendEmailTemplate($types[$type], self::XML_PATH_REGISTER_EMAIL_IDENTITY,
            array('customer' => $this,'provider' => Mage::getSingleton('admin/session')->getUser(), 'back_url' => $backUrl), $storeId);

        return $this;
    }

    public function sendNewCourseAdd($course)
    {
        $this->_sendEmailTemplate('dentalex_speakers/speaker/email_course', self::XML_PATH_REGISTER_EMAIL_IDENTITY,
            array('customer' => $this, 'course' => $course));
        return $this;
    }
}
		