<?php


/**
 * Create product settings tab
 *
 * @author      Taras Trishchuk <ttrishchuk@softjourn.com>
 */
class Softjourn_Course_Block_Adminhtml_Catalog_Product_Edit_Tab_Settings extends Mage_Adminhtml_Block_Catalog_Product_Edit_Tab_Settings {

    protected function _prepareLayout()
    {
        $types = Mage::getModel('catalog/product_type')->getOptionArray();
        foreach($types as $key => $type) {
            $this->setChild('continue_button_'. $key,
                $this->getLayout()->createBlock('adminhtml/widget_button')
                    ->setData(array(
                        'label'     => Mage::helper('catalog')->__($type),
                        'onclick'   => "setSettings('".$this->getContinueUrlNew($key)."','attribute_set_id','attribute_set_id')",
                        'class'     => 'save create-course'
                    ))
            );
        }

        return parent::_prepareLayout();
    }

    protected function _prepareForm()
    {
        $form = new Varien_Data_Form();

        $form->setFieldsetRenderer($this->getLayout()->createBlock(null));
        $form->setFieldsetElementRenderer($this->getLayout()
            ->createBlock('adminhtml/widget_form_renderer_fieldset_element'));

        $fieldset = $form->addFieldset('settings', array('legend'=>Mage::helper('catalog')->__('Create Product Settings')));

        $entityType = Mage::registry('product')->getResource()->getEntityType();

        $fieldset->addField('attribute_set_id', 'hidden', array(
            'name'  => 'set',
            'value' => 4, //Hardcode:: Course
        ));

        $types = Mage::getModel('catalog/product_type')->getOptionArray();
        foreach($types as $key => $type){
            $fieldset->addField('continue_button_'. $key, 'note', array(
                'text' => $this->getChildHtml('continue_button_'. $key),
            ));
        }

        $this->setForm($form);
    }

    public function getContinueUrlNew($type = NULL)
    {
        return $this->getUrl('*/*/new', array(
            '_current'  => true,
            'set'       => '{{attribute_set}}',
            'type'      => $type
        ));
    }

}