<?php

class Softjourn_Course_Block_CatalogSearch_Layer_View extends Softjourn_Course_Block_Catalog_Layer_View
{


    protected function _initBlocks()
    {
        parent::_initBlocks();

        $this->_durationBlockName = 'softjourn_course/catalogSearch_layer_filter_duration';

    }

    /**
     * Prepare child blocks
     *
     * @return Mage_Catalog_Block_Layer_View
     */
    protected function _prepareLayout()
    {
        $attribute = Mage::getModel('eav/entity_attribute')
            ->loadByCode('catalog_product', self::CREDITS_ATTRIBUTE_CODE);

        $creditBlock = $this->getLayout()->createBlock($this->_creditsBlockName)
            ->setLayer(Mage::getSingleton('catalogsearch/layer'))
            ->setAttributeModel($attribute)
            ->init();

        $attribute = new stdClass();
        $attribute->start =   Mage::getModel('eav/entity_attribute')
            ->loadByCode('catalog_product', self::START_DUIRATION_ATTRIBUTE_CODE);
        $attribute->end =   Mage::getModel('eav/entity_attribute')
            ->loadByCode('catalog_product', self::END_DUIRATION_ATTRIBUTE_CODE);

        $durationBlock = $this->getLayout()->createBlock($this->_durationBlockName)
            ->setLayer(Mage::getSingleton('catalogsearch/layer'))
            ->setAttributeModel($attribute)
            ->init();

        $attribute = Mage::getModel('eav/entity_attribute')
            ->loadByCode('dentalex_speakers_speaker', self::SPEAKER_ATTRIBUTE_CODE);

        $speakerBlock = $this->getLayout()->createBlock($this->_speakerBlockName)
            ->setLayer(Mage::getSingleton('catalogsearch/layer'))
            ->setAttributeModel($attribute)
            ->init();

        $this->setChild('credits_filter', $creditBlock);
        $this->setChild('duration_filter', $durationBlock);
        $this->setChild('speaker_filter', $speakerBlock);

        return parent::_prepareLayout();
    }


}
