<?php


/**
 * Product search result block
 *
 * @category   Mage
 * @package    Mage_CatalogSearch
 * @module     Catalog
 */
class Softjourn_Course_Block_CatalogSearch_Result extends Mage_CatalogSearch_Block_Result
{

    /**
     * Prepare layout
     *
     * @return Mage_CatalogSearch_Block_Result
     */
    protected function _prepareLayout()
    {
        // add Home breadcrumb
        $breadcrumbs = $this->getLayout()->getBlock('breadcrumbs');
        if ($breadcrumbs) {
            $text =  $this->helper('catalogsearch')->getQueryText();

            if(empty($text)){
                $title = $this->__("Search results");
            }else{
                $title = $this->__("Search results for: '%s'", $text);
            }

            $breadcrumbs->addCrumb('home', array(
                'label' => $this->__('Home'),
                'title' => $this->__('Go to Home Page'),
                'link'  => Mage::getBaseUrl()
            ))->addCrumb('search', array(
                'label' => $title,
                'title' => $title
            ));
        }

        // modify page title
        $text = $this->helper('catalogsearch')->getEscapedQueryText();
        if(empty($text)){
            $title = $this->__("Search results");
        }else{
            $this->__("Search results for: '%s'", $text);
        }

        $this->getLayout()->getBlock('head')->setTitle($title);

        return $this;
    }


}
