<?php

class Softjourn_Course_Helper_Data extends Mage_Core_Helper_Abstract
{
        public function calculateDatePeriod($date1, $date2, $granularity = 2){


            if(!$date2){
                return 'Unspecified period';
            }

            static $units = array(
                'year' => 31536000,
                'month' => 2592000,
                'week' => 604800,
                'day' => 86400,
                'hour' => 3600,
                'min' => 60,
                'sec' => 1,
            );

            $output = '';

            $interval = strtotime($date2) - strtotime($date1);

            $future = $interval < 0;
            if($future){
                $interval = abs($interval);
            }

            foreach ($units as $key => $value) {
                if ($interval >= $value) {
                    $output .= ($output ? ' ' : '') .
                        floor($interval / $value) .' ' . $key . (floor($interval / $value) != 1 ? 's' : '');
                    $interval %= $value;
                    $granularity--;
                }

                if ($granularity == 0) {
                    break;
                }
            }

            if( empty($output) ){
                return 'Unspecified period';
            }

            return $output;
        }
}
