<?php

class Softjourn_Course_Model_Catalog_Layer_Filter_Credits extends Mage_Catalog_Model_Layer_Filter_Decimal
{
    const MIN_RANGE_POWER = 10;

    /**
     * Class constructor
     */
    public function __construct()
    {
        parent::__construct();
        $this->_requestVar = 'credits';
    }


    /**
     * Get filter name
     *
     * @return string
     */
    public function getName()
    {
        return Mage::helper('softjourn_course')->__('CE credits');
    }


    /**
     * Retrieve resource instance
     *
     * @return Mage_Catalog_Model_Resource_Eav_Mysql4_Layer_Filter_Decimal
     */
    protected function _getResource()
    {
        if (is_null($this->_resource)) {
            $this->_resource = Mage::getResourceModel('softjourn_course/layer_filter_credits');
        }
        return $this->_resource;
    }

    /**
     * Prepare text of item label
     *
     * @param   int $range
     * @param   float $value
     * @return  string
     */
    protected function _renderItemLabel($range, $value)
    {
        $from   = number_format(($value - 1) * $range, '1', '.', ',');
        $to     = number_format($value * $range, '1', '.', ',');
        return Mage::helper('softjourn_course')->__('%s - %s', $from, $to);
    }
}
