<?php
/**
 * Created by PhpStorm.
 * User: trusakov
 * Date: 29.05.15
 * Time: 13:16
 */
class Softjourn_Course_Model_Catalog_Product_Attribute_Backend_Startdate
    extends Mage_Catalog_Model_Product_Attribute_Backend_Startdate
{
    public function validate($object)
    {
        $attr      = $this->getAttribute();
        $maxDate   = $attr->getMaxValue();
        $startDate = $this->_getValueForSave($object);
        if ($startDate === false) {
            return true;
        }

        if ($maxDate) {
            $date     = Mage::getModel('core/date');
            $value    = $startDate ? $date->timestamp($startDate):null;
            $maxValue = $date->timestamp($maxDate);

            if ($value > $maxValue) {
                $message = Mage::helper('catalog')->__('The From Date value should be less than or equal to the To Date value.');
                $eavExc  = new Mage_Eav_Model_Entity_Attribute_Exception($message);
                $eavExc->setAttributeCode($attr->getName());
                throw $eavExc;
            }
        }
        return true;
    }
}