<?php

class Softjourn_Course_Model_Catalog_Product_Option extends Mage_Catalog_Model_Product_Option
{
    const OPTION_GROUP_PERSON       = 'person';
    const OPTION_TYPE_PERSON_TYPE   = 'person_type';

    /**
     * Get group name of option by given option type
     *
     * @param string $type
     * @return string
     */
    public function getGroupByType($type = null)
    {
        if (is_null($type)) {
            $type = $this->getType();
        }

        $group = parent::getGroupByType($type);
        if( $group === '' && $type = self::OPTION_TYPE_PERSON_TYPE ){
            $group = self::OPTION_GROUP_PERSON;
        }
        return $group;
    }

    /**
     * Group model factory
     *
     * @param string $type Option type
     * @return Mage_Catalog_Model_Product_Option_Group_Abstract
     */
    public function groupFactory($type)
    {
        if( $type === self::OPTION_TYPE_PERSON_TYPE ){
            $model =  Mage::getModel('softjourn_course/catalog_product_option_type_person');
            return $model;
        }
        return parent::groupFactory($type);
    }
}