<?php


class Softjourn_Course_Model_Product extends Mage_Catalog_Model_Product
{

    public function isStartCourse()
    {
        if ($this->hasStartCourse()) {
            $date = strtotime($this->getStartCourse());

            return $date < time();
        }

        return false;
    }

    public function isEndCourse()
    {
        if ($this->hasEndCourse()) {
            $date = strtotime($this->getEndCourse());

            return $date < time();
        }

        return false;
    }

    public function isStartCourseSale()
    {
        if ($this->hasStartSaleDate()) {
            $date = strtotime($this->getStartSaleDate());

            return $date < time();
        }

        return true;
    }

    public function isEndCourseSale()
    {
        if ($this->hasRegisterBy()) {
            $date = strtotime($this->getRegisterBy());

            return $date < time();
        }

        return false;
    }

    /**
     *
     * @return bool
     */
    public function isSaleable()
    {
        return parent::isSaleable() &&
               $this->isStartCourseSale() &&
               !$this->isEndCourseSale() &&
               !$this->isEndCourse();
    }

    public function getFinalPrice($qty=null)
    {
        if (!$this->isGrouped()) {
            return parent::getFinalPrice($qty);
        }
        $price = $this->_getData('final_price');
        if ($price == null) {
            $associatedProducts = $this->getTypeInstance(true)
                ->setStoreFilter($this->getStore(), $this)
                ->getAssociatedProducts($this);

            foreach ($associatedProducts as $childProduct) {
                $price += $childProduct->getFinalPrice();
            }
            $price *= ($this->getQty()) ? $this->getQty() : 1;
        }
        return $price;
    }

    public function getTimeBegin()
    {
        return (!$this->time_begin || $this->time_begin == ',,') ? false:$this->time_begin;
    }

    public function getTimeEnd()
    {
        return (!$this->time_end || $this->time_end == ',,') ? false:$this->time_end;
    }

    protected function _afterDelete()
    {
        /** @var Magento_Db_Adapter_Pdo_Mysql $adapter */
        $adapter = Mage::getSingleton('core/resource')->getConnection('core_write');
        $sql = 'DELETE FROM catalog_product_link WHERE product_id = ' . $this->getId();
        $adapter->exec($sql);
        parent::_afterDelete();
    }


}