<?php

class Softjourn_Course_Model_Resource_CatalogSearch_Layer_Filter_Duration extends Softjourn_Course_Model_Resource_Layer_Filter_Duration
{

    /**
     * Apply outstanding filter to product collection
     *
     * @param Softjourn_Course_Model_Catalog_Layer_Filter_Duration $filter
     * @return Softjourn_Course_Model_Resource_Layer_Filter_Duration
     */
    public function outstandingToCollection($filter)
    {

    }

    /**
     * Apply attribute filter to product collection
     *
     * @param Softjourn_Course_Model_Catalog_Layer_Filter_Duration $filter
     * @param int $index
     * @return Softjourn_Course_Model_Resource_Layer_Filter_Duration
     */
    public function applyFilterToCollection($filter, $index)
    {
        $collection = $filter->getLayer()->getProductCollection();

        $connection = $this->_getReadAdapter();

        $startTableAlias = self::START_IDX_ALIAS;
        $conditions = array(
            "{$startTableAlias}.entity_id = e.entity_id",
            $connection->quoteInto("{$startTableAlias}.attribute_id = ?", $filter->getAttributeModel()->start->getId())
        );

        $collection->getSelect()->join(
            array($startTableAlias => $this->getMainTable()),
            implode(' AND ', $conditions),
            array()
        );


        $endTableAlias = 'end_course_idx';
        $conditions = array(
            "{$endTableAlias}.entity_id = e.entity_id",
            $connection->quoteInto("{$endTableAlias}.attribute_id = ?", $filter->getAttributeModel()->end->getId())
        );

        $collection->getSelect()->join(
            array($endTableAlias => $this->getMainTable()),
            implode(' AND ', $conditions),
            array()
        );

        if( $filter->TIME_RANGE[$index]['range']['from'] !== null )
            $collection->getSelect()
                ->where("{$endTableAlias}.value - {$startTableAlias}.value >= ?", $filter->TIME_RANGE[$index]['range']['from'] );

        if( $filter->TIME_RANGE[$index]['range']['to'] !== null )
            $collection->getSelect()
                ->where("{$endTableAlias}.value - {$startTableAlias}.value < ?", $filter->TIME_RANGE[$index]['range']['to']);

        $sql = $collection->getSelect()->assemble();

        return $this;
    }

}
