<?php

class Softjourn_Course_Model_Resource_Setup extends Mage_Eav_Model_Entity_Setup
{

    /**
     * Default entites and attributes
     *
     * @return array
     */
    public function getDefaultEntities()
    {
        return array(
            'catalog_product' => array(
                'entity_model' => 'catalog/product',
                'attribute_model' => 'catalog/resource_eav_attribute',
                'table' => 'catalog/product',
                'additional_attribute_table' => 'catalog/eav_attribute',
                'entity_attribute_collection' => 'catalog/product_attribute_collection',
                'attributes' => array(
                    'credits' => array(
                        'type' => 'decimal',
                        'label' => 'Credits',
                        'input' => 'text',
                        'required' => false,
                        'class' => 'validate-number',
                        'sort_order' => 25,
                        'global' => Mage_Catalog_Model_Resource_Eav_Attribute::SCOPE_WEBSITE,
                        'searchable' => true,
                        'filterable' => true,
                        'visible_in_advanced_search' => true,
                        'used_in_product_listing' => true,
                        'used_for_sort_by' => true,
                        'group' => 'General',
                        'visible_on_front' => true,
                    ),
                    'start_course' => array(
                        'type' => 'datetime',
                        'input' => 'datetime',
                        'backend' => 'eav/entity_attribute_backend_datetime',
                        'global' => Mage_Catalog_Model_Resource_Eav_Attribute::SCOPE_WEBSITE,
                        'used_in_product_listing' => true,
                        'time' => true,
                        'label' => 'Start Course',
                        'visible' => true,
                        'required' => false,
                        'sort_order' => 26,
                        'user_defined' => true,
                        'visible_on_front' => true,
                        'visible_in_advanced_search' => true,
                        'used_for_sort_by' => true,
                        'group' => 'General',
                    ),
                    'end_course' => array(
                        'type' => 'datetime',
                        'input' => 'datetime',
                        'time' => true,
                        'label' => 'End Course',
                        'visible' => true,
                        'required' => false,
                        'sort_order' => 27,
                        'user_defined' => true,
                        'visible_on_front' => true,
                        'backend' => 'eav/entity_attribute_backend_datetime',
                        'global' => Mage_Catalog_Model_Resource_Eav_Attribute::SCOPE_WEBSITE,
                        'visible_in_advanced_search' => true,
                        'used_for_sort_by' => false,
                        'group' => 'General',
                    )
                )
            )

        );
    }


}
