<?php

class Softjourn_Geo_Helper_Data extends Mage_Core_Helper_Abstract
{

    public function getLocationFilter()
    {
        $point = Mage::getSingleton('core/session')->getPointValue();

        if ($point === null || !$point->lat || !$point->lon) {
            if( ! $point instanceof stdClass ){
                $point = new stdClass();
            }

            $point->lat = 43.651217;
            $point->lon = -79.384915;
            $point->radius = 'all';
            $point->type = 'default';
        }

        if (!$point->radius || (float)$point->radius < 1) {
            $point->radius = 999990;
        }

        if ($point->type == 'default' && function_exists('geoip_id_by_name') && $data = geoip_record_by_name($this->getVisitorIp())) {

            $point->lat = $data->latitude;
            $point->lon = $data->longitude;
            $point->radius = 'all';
            $point->type = 'ip';
        }

        return $point;
    }

    public function getVisitorIp()
    {
        return getenv('HTTP_CLIENT_IP') ?:
            getenv('HTTP_X_FORWARDED_FOR') ?:
                getenv('HTTP_X_FORWARDED') ?:
                    getenv('HTTP_FORWARDED_FOR') ?:
                        getenv('HTTP_FORWARDED') ?:
                            getenv('REMOTE_ADDR') ?: null;
    }

}