<?php

class Softjourn_Geo_Model_Resource_Product_Collection extends Mage_Catalog_Model_Resource_Product_Collection
{

    protected function _renderFiltersBefore()
    {
        $point = Mage::helper('geo')->getLocationFilter();

        $this->getSelect()->columns(array('dist' => new Zend_Db_Expr (" (6371 * acos( cos( radians(`latitude`) )
                            * cos( radians( {$point->lat}) ) * cos( radians( {$point->lon}) - radians(`longitude`) )
                            + sin( radians(`latitude`) ) * sin( radians( {$point->lat}) )))")))
            ->join('cubet_productlocator', 'cubet_productlocator.pid = e.entity_id ', array('latitude', 'longitude'))
            ->where(" 6371 * acos( cos( radians(`latitude`) )
                            * cos( radians( {$point->lat}) ) * cos( radians( {$point->lon}) - radians(`longitude`) )
                            + sin( radians(`latitude`) ) * sin( radians( {$point->lat}) ))  < ?", (float)$point->radius)
            ->distinct();
    }

    /**
     * Add attribute to sort order
     *
     * @param string $attribute
     * @param string $dir
     * @return Mage_Catalog_Model_Resource_Product_Collection
     */
    public function addAttributeToSort($attribute, $dir = self::SORT_ORDER_ASC)
    {
        if($attribute === 'location'){
            $this->getSelect()->order('dist');
        }

        return parent::addAttributeToSort($attribute, $dir);
    }

}
