
CREATE TABLE IF NOT EXISTS `eav_entity_point` (
  `value_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Value Id',
  `entity_type_id` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'Entity Type Id',
  `attribute_id` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'Attribute Id',
  `store_id` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'Store Id',
  `entity_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Entity Id',
  `value` POINT NOT NULL  COMMENT 'Attribute Value',
  PRIMARY KEY (`value_id`),
  UNIQUE KEY `UNQ_EAV_ENTITY_POINT_ENTITY_ID_ATTRIBUTE_ID_STORE_ID` (`entity_id`,`attribute_id`,`store_id`),
  KEY `IDX_EAV_ENTITY_POINT_ENTITY_TYPE_ID` (`entity_type_id`),
  KEY `IDX_EAV_ENTITY_POINT_ATTRIBUTE_ID` (`attribute_id`),
  KEY `IDX_EAV_ENTITY_POINT_STORE_ID` (`store_id`),
  KEY `IDX_EAV_ENTITY_POINT_ENTITY_ID` (`entity_id`),
  KEY `IDX_EAV_ENTITY_POINT_ATTRIBUTE_ID_VALUE` (`attribute_id`,`value`),
  INDEX `IDX_EAV_ENTITY_POINT_ENTITY_TYPE_ID_VALUE` (`entity_type_id`,`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Eav Entity Value Prefix';


-- DEFAULT Point(0, 0)