<?php
/**
 * Created by PhpStorm.
 * User: trusakov
 * Date: 04.06.15
 * Time: 18:07
 */
class Varien_Data_Form_Element_Customtime extends Varien_Data_Form_Element_Abstract
{
    public function __construct($attributes=array())
    {
        parent::__construct($attributes);
        $this->setType('time');
    }

    public function getName()
    {
        $name = parent::getName();
        if (strpos($name, '[]') === false) {
            $name.= '[]';
        }
        return $name;
    }

    public function getElementHtml()
    {
        $this->addClass('select');

        $value_hrs = '';
        $value_min = '';
        $value_day_time = '';

        if( $value = $this->getValue() ) {
            $values = explode(',', $value);
            if( is_array($values) && count($values) == 3 ) {
                $value_hrs = $values[0];
                $value_min = $values[1];
                $value_day_time = $values[2];
            }
        }
//var_dump($this->getValue(),$value_hrs);exit;
        $html = '<input type="hidden" id="' . $this->getHtmlId() . '" />';
        $html .= '<select name="'. $this->getName() . '" '.$this->serialize($this->getHtmlAttributes()).' style="width:40px">'."\n";
        $html.= '<option value="">--</option>';
        for( $i=0;$i<12;$i++ ) {
            $hour = str_pad($i, 2, '0', STR_PAD_LEFT);
            $html.= '<option value="'.$hour.'" '. ( ($value_hrs == str_pad($i, 2, '0', STR_PAD_LEFT)) ? 'selected="selected"' : '' ) .'>' . $hour . '</option>';
        }
        $html.= '</select>'."\n";

        $html.= '&nbsp;:&nbsp;<select name="'. $this->getName() . '" '.$this->serialize($this->getHtmlAttributes()).' style="width:40px">'."\n";
        $html.= '<option value="">--</option>';
        for( $i=0;$i<60;$i++ ) {
            $hour = str_pad($i, 2, '0', STR_PAD_LEFT);
            $html.= '<option value="'.$hour.'" '. ( ($value_min == str_pad($i, 2, '0', STR_PAD_LEFT)) ? 'selected="selected"' : '' ) .'>' . $hour . '</option>';
        }
        $html.= '</select>'."\n";

        $html.= '&nbsp;day period&nbsp;<select name="'. $this->getName() . '" '.$this->serialize($this->getHtmlAttributes()).' style="width:50px">'."\n";
        $html.= '<option value="">--</option>';
        $html.= '<option value="AM" '. ( ($value_day_time == 'AM') ? 'selected="selected"' : '' ) .'>AM</option>';
        $html.= '<option value="PM" '. ( ($value_day_time == 'PM') ? 'selected="selected"' : '' ) .'>PM</option>';
        $html.= '</select>'."\n";
        $html.= $this->getAfterElementHtml();
        return $html;
    }
}